package com.qxgmat.dto.response;

import com.nuliji.tools.annotation.Dto;
import com.qxgmat.data.dao.entity.UserReport;
import com.qxgmat.dto.extend.UserPaperBaseExtendDto;

import java.util.Date;

@Dto(entity = UserReport.class)
public class UserReportBaseDto {
    private Integer id;

    private Integer paperId;

    private UserPaperBaseExtendDto paper;

    private String module;

    private Integer time;

    private Integer questionNumber;

    private Integer userTime;

    private Integer userNumber;

    private Date updateTime;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getPaperId() {
        return paperId;
    }

    public void setPaperId(Integer paperId) {
        this.paperId = paperId;
    }

    public String getModule() {
        return module;
    }

    public void setModule(String module) {
        this.module = module;
    }

    public Integer getTime() {
        return time;
    }

    public void setTime(Integer time) {
        this.time = time;
    }

    public Integer getQuestionNumber() {
        return questionNumber;
    }

    public void setQuestionNumber(Integer questionNumber) {
        this.questionNumber = questionNumber;
    }

    public Integer getUserTime() {
        return userTime;
    }

    public void setUserTime(Integer userTime) {
        this.userTime = userTime;
    }

    public Integer getUserNumber() {
        return userNumber;
    }

    public void setUserNumber(Integer userNumber) {
        this.userNumber = userNumber;
    }

    public UserPaperBaseExtendDto getPaper() {
        return paper;
    }

    public void setPaper(UserPaperBaseExtendDto paper) {
        this.paper = paper;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}
